# Web Cloud › Fax API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Web Cloud product's sections: https://developers.eu.ovhcloud.com/reference/web-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 19 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/web-cloud/fax.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/web-cloud/fax.json?format=openapi3

## Operations

- `GET /freefax` — List Freefax line accounts
- `GET /freefax/credits` — Get the credit balance and the remaining pages available for all our freefax
- `GET /freefax/{serviceName}` — Get Freefax information
- `PUT /freefax/{serviceName}` — Edit the Freefax properties
- `POST /freefax/{serviceName}/changePassword` — Generates a new password for your fax account
- `GET /freefax/{serviceName}/directory` — Get Freefax directory information
- `PUT /freefax/{serviceName}/directory` — Edit Freefax directory information
- `POST /freefax/{serviceName}/directory/fetchEntrepriseInformations` — Get enterprise information by providing enterprise number
- `GET /freefax/{serviceName}/directory/getDirectoryServiceCode` — Get directory service code from an APE code (principal activity of the firm code)
- `GET /freefax/{serviceName}/directory/getWayTypes` — Get all the way types available
- `GET /freefax/{serviceName}/mainService` — Get main service attached to the Freefax
- `GET /freefax/{serviceName}/serviceInfos` — Get service information
- `PUT /freefax/{serviceName}/serviceInfos` — Update service information
- `GET /freefax/{serviceName}/voicemail` — Get the Freefax voicemail information
- `PUT /freefax/{serviceName}/voicemail` — Edit the Freefax voicemail
- `POST /freefax/{serviceName}/voicemail/changePassword` — Change the voicemail password. It must be 4 digit
- `POST /freefax/{serviceName}/voicemail/changeRouting` — Disable/Enable voicemail. Available only if the line has fax capabilities
- `GET /freefax/{serviceName}/voicemail/routing` — Get the status of the voicemail. Available only if the line has fax capabilities
- `GET /freefax/{serviceName}/voicemail/voicemailNumbers` — Get number for internal and external voicemail

## List Freefax line accounts

`GET /1.0/freefax`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `iamTags` | query | object |  | Filter resources on IAM tags |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | phoneNumber[] | successful operation |

```json
[
  "string"
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax");

print_r($result);
?>
```

## Get the credit balance and the remaining pages available for all our freefax

`GET /1.0/freefax/credits`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-credits

**Status:** Stable production version  
**IAM actions:** `account:apiovh:freefax/credits/get`

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | freefax.BalanceInformations | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `faxs` | integer |  | The number of equivalement remaining french faxs |
| `points` | integer |  | Total balance available in points |

```json
{
  "faxs": 0,
  "points": 0
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/credits" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/credits")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/credits");

print_r($result);
?>
```

## Get Freefax information

`GET /1.0/freefax/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-servicename

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | freefax.FreefaxPropertiesWithIAM | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `faxMaxCall` | telephony.FaxSendingTriesEnum |  | Number of tries when sending a fax — one of `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9` |
| `faxQuality` | telephony.FaxQualityEnum |  | Available quality for fax documents — one of `best`, `high`, `normal` |
| `faxTagLine` | string |  | Customised freefax header |
| `fromEmail` | string |  | FROM email header |
| `fromName` | string |  | Name of the sender of the email |
| `iam` | iam.ResourceMetadata | read-only | IAM resource metadata |
| `iam.displayName` | string | read-only | Resource display name |
| `iam.id` | string (uuid) | read-only | Unique identifier of the resource |
| `iam.state` | iam.ResourceMetadata.StateEnum | read-only | Resource state — one of `EXPIRED`, `IN_CREATION`, `OK`, `SUSPENDED` |
| `iam.tags` | object | read-only | Resource tags. Tags that were internally computed are prefixed with ovh: |
| `iam.urn` | string | read-only | Unique resource name used in policies |
| `number` | phoneNumber | read-only | Phone number |
| `redirectionEmail` | string[] |  | Email address to redirect fax response. |

```json
{
  "faxMaxCall": 1,
  "faxQuality": "best",
  "faxTagLine": "string",
  "fromEmail": "string",
  "fromName": "string",
  "iam": {
    "displayName": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "state": "EXPIRED",
    "tags": {
      "key": "string"
    },
    "urn": "string"
  },
  "number": "string",
  "redirectionEmail": [
    "string"
  ]
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/{serviceName}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/{serviceName}");

print_r($result);
?>
```

## Edit the Freefax properties

`PUT /1.0/freefax/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#put-freefax-servicename

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:put`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Request body (required)

Type: `freefax.FreefaxProperties`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `faxMaxCall` | telephony.FaxSendingTries |  | Number of max tentative of fax sending — one of `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9` |
| `faxQuality` | telephony.FaxQualityEnum |  | Quality of fax sending — one of `best`, `high`, `normal` |
| `faxTagLine` | string |  | Customised freefax header |
| `fromEmail` | string |  | FROM email header |
| `fromName` | string |  | Name of the sender of the email |
| `number` | phoneNumber | read-only | Freefax number in international format |
| `redirectionEmail` | string[] |  | Email address to redirect fax response. |

```json
{
  "faxMaxCall": 1,
  "faxQuality": "best",
  "faxTagLine": "string",
  "fromEmail": "string",
  "fromName": "string",
  "redirectionEmail": [
    "string"
  ]
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: freefax.FreefaxProperties
result = client.put("/freefax/{serviceName}",
	faxMaxCall = None, # Number of max tentative of fax sending (type: telephony.FaxSendingTries)
	faxQuality = None, # Quality of fax sending (type: telephony.FaxQualityEnum)
	faxTagLine = None, # Customised freefax header (type: string)
	fromEmail = None, # FROM email header (type: string)
	fromName = None, # Name of the sender of the email (type: string)
	redirectionEmail = None, # Email address to redirect fax response. (type: array)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: freefax.FreefaxProperties
$result = $ovh->put("/freefax/{serviceName}", array(
	faxMaxCall => null, // Number of max tentative of fax sending (type: telephony.FaxSendingTries)
	faxQuality => null, // Quality of fax sending (type: telephony.FaxQualityEnum)
	faxTagLine => null, // Customised freefax header (type: string)
	fromEmail => null, // FROM email header (type: string)
	fromName => null, // Name of the sender of the email (type: string)
	redirectionEmail => null, // Email address to redirect fax response. (type: array)
));

print_r($result);
?>
```

## Generates a new password for your fax account

`POST /1.0/freefax/{serviceName}/changePassword`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#post-freefax-servicename-changepassword

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:changePassword`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | string (password) | successful operation |

```json
"string"
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/changePassword" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/freefax/{serviceName}/changePassword")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/freefax/{serviceName}/changePassword");

print_r($result);
?>
```

## Get Freefax directory information

`GET /1.0/freefax/{serviceName}/directory`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-servicename-directory

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:directory/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.DirectoryInfo | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `address` | string |  |  |
| `addressExtra` | string |  |  |
| `ape` | string |  |  |
| `areaCode` | integer | read-only |  |
| `birthDate` | string (date) |  |  |
| `cedex` | string |  |  |
| `city` | string |  |  |
| `country` | string |  |  |
| `directoryServiceCode` | string |  |  |
| `displayFirstName` | boolean |  |  |
| `displayMarketingDirectory` | boolean |  |  |
| `displayOnlyCity` | boolean |  |  |
| `displaySearchReverse` | boolean |  |  |
| `displayUniversalDirectory` | boolean |  |  |
| `email` | string |  |  |
| `firstName` | string |  |  |
| `gender` | nichandle.GenderEnum |  | All genders a person can choose — one of `female`, `male` |
| `inseeCode` | integer | read-only |  |
| `legalForm` | string |  |  |
| `lineDescription` | string |  |  |
| `modificationDate` | string | read-only |  |
| `modificationType` | string | read-only |  |
| `name` | string |  |  |
| `number` | string | read-only |  |
| `occupation` | string |  |  |
| `postBox` | string |  |  |
| `postCode` | string |  |  |
| `siret` | string |  |  |
| `socialNomination` | string |  |  |
| `socialNominationExtra` | string |  |  |
| `status` | string | read-only |  |
| `urbanDistrict` | string |  |  |
| `wayName` | string |  |  |
| `wayNumber` | string |  |  |
| `wayNumberExtra` | string |  |  |
| `wayType` | string |  |  |

```json
{
  "address": "string",
  "addressExtra": "string",
  "ape": "string",
  "areaCode": 0,
  "birthDate": "2024-01-01",
  "cedex": "string",
  "city": "string",
  "country": "string",
  "directoryServiceCode": "string",
  "displayFirstName": true,
  "displayMarketingDirectory": true,
  "displayOnlyCity": true,
  "displaySearchReverse": true,
  "displayUniversalDirectory": true,
  "email": "string",
  "firstName": "string",
  "gender": "female",
  "inseeCode": 0,
  "legalForm": "string",
  "lineDescription": "string",
  "modificationDate": "string",
  "modificationType": "string",
  "name": "string",
  "number": "string",
  "occupation": "string",
  "postBox": "string",
  "postCode": "string",
  "siret": "string",
  "socialNomination": "string",
  "socialNominationExtra": "string",
  "status": "string",
  "urbanDistrict": "string",
  "wayName": "string",
  "wayNumber": "string",
  "wayNumberExtra": "string",
  "wayType": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/{serviceName}/directory")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/{serviceName}/directory");

print_r($result);
?>
```

## Edit Freefax directory information

`PUT /1.0/freefax/{serviceName}/directory`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#put-freefax-servicename-directory

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:directory/edit`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Request body (required)

Type: `telephony.DirectoryInfo`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `address` | string |  |  |
| `addressExtra` | string |  |  |
| `ape` | string |  |  |
| `areaCode` | integer | read-only |  |
| `birthDate` | string (date) |  |  |
| `cedex` | string |  |  |
| `city` | string |  |  |
| `country` | string |  |  |
| `directoryServiceCode` | string |  |  |
| `displayFirstName` | boolean |  |  |
| `displayMarketingDirectory` | boolean |  |  |
| `displayOnlyCity` | boolean |  |  |
| `displaySearchReverse` | boolean |  |  |
| `displayUniversalDirectory` | boolean |  |  |
| `email` | string |  |  |
| `firstName` | string |  |  |
| `gender` | nichandle.GenderEnum |  | All genders a person can choose — one of `female`, `male` |
| `inseeCode` | integer | read-only |  |
| `legalForm` | string |  |  |
| `lineDescription` | string |  |  |
| `modificationDate` | string | read-only |  |
| `modificationType` | string | read-only |  |
| `name` | string |  |  |
| `number` | string | read-only |  |
| `occupation` | string |  |  |
| `postBox` | string |  |  |
| `postCode` | string |  |  |
| `siret` | string |  |  |
| `socialNomination` | string |  |  |
| `socialNominationExtra` | string |  |  |
| `status` | string | read-only |  |
| `urbanDistrict` | string |  |  |
| `wayName` | string |  |  |
| `wayNumber` | string |  |  |
| `wayNumberExtra` | string |  |  |
| `wayType` | string |  |  |

```json
{
  "address": "string",
  "addressExtra": "string",
  "ape": "string",
  "birthDate": "2024-01-01",
  "cedex": "string",
  "city": "string",
  "country": "string",
  "directoryServiceCode": "string",
  "displayFirstName": true,
  "displayMarketingDirectory": true,
  "displayOnlyCity": true,
  "displaySearchReverse": true,
  "displayUniversalDirectory": true,
  "email": "string",
  "firstName": "string",
  "gender": "female",
  "legalForm": "string",
  "lineDescription": "string",
  "name": "string",
  "occupation": "string",
  "postBox": "string",
  "postCode": "string",
  "siret": "string",
  "socialNomination": "string",
  "socialNominationExtra": "string",
  "urbanDistrict": "string",
  "wayName": "string",
  "wayNumber": "string",
  "wayNumberExtra": "string",
  "wayType": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: telephony.DirectoryInfo
result = client.put("/freefax/{serviceName}/directory",
	address = None, #  (type: string)
	addressExtra = None, #  (type: string)
	ape = None, #  (type: string)
	birthDate = None, #  (type: string, nullable)
	cedex = None, #  (type: string)
	city = None, #  (type: string)
	country = None, #  (type: string)
	directoryServiceCode = None, #  (type: string)
	displayFirstName = None, #  (type: boolean)
	displayMarketingDirectory = None, #  (type: boolean)
	displayOnlyCity = None, #  (type: boolean)
	displaySearchReverse = None, #  (type: boolean)
	displayUniversalDirectory = None, #  (type: boolean)
	email = None, #  (type: string)
	firstName = None, #  (type: string)
	gender = None, #  (type: nichandle.GenderEnum, nullable)
	legalForm = None, #  (type: string)
	lineDescription = None, #  (type: string)
	name = None, #  (type: string)
	occupation = None, #  (type: string)
	postBox = None, #  (type: string)
	postCode = None, #  (type: string)
	siret = None, #  (type: string)
	socialNomination = None, #  (type: string)
	socialNominationExtra = None, #  (type: string)
	urbanDistrict = None, #  (type: string)
	wayName = None, #  (type: string)
	wayNumber = None, #  (type: string)
	wayNumberExtra = None, #  (type: string)
	wayType = None, #  (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: telephony.DirectoryInfo
$result = $ovh->put("/freefax/{serviceName}/directory", array(
	address => null, //  (type: string)
	addressExtra => null, //  (type: string)
	ape => null, //  (type: string)
	birthDate => null, //  (type: string, nullable)
	cedex => null, //  (type: string)
	city => null, //  (type: string)
	country => null, //  (type: string)
	directoryServiceCode => null, //  (type: string)
	displayFirstName => null, //  (type: boolean)
	displayMarketingDirectory => null, //  (type: boolean)
	displayOnlyCity => null, //  (type: boolean)
	displaySearchReverse => null, //  (type: boolean)
	displayUniversalDirectory => null, //  (type: boolean)
	email => null, //  (type: string)
	firstName => null, //  (type: string)
	gender => null, //  (type: nichandle.GenderEnum, nullable)
	legalForm => null, //  (type: string)
	lineDescription => null, //  (type: string)
	name => null, //  (type: string)
	occupation => null, //  (type: string)
	postBox => null, //  (type: string)
	postCode => null, //  (type: string)
	siret => null, //  (type: string)
	socialNomination => null, //  (type: string)
	socialNominationExtra => null, //  (type: string)
	urbanDistrict => null, //  (type: string)
	wayName => null, //  (type: string)
	wayNumber => null, //  (type: string)
	wayNumberExtra => null, //  (type: string)
	wayType => null, //  (type: string)
));

print_r($result);
?>
```

## Get enterprise information by providing enterprise number

`POST /1.0/freefax/{serviceName}/directory/fetchEntrepriseInformations`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#post-freefax-servicename-directory-fetchentrepriseinformations

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:directory/fetchEntrepriseInformations`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Request body (required)

Type: `telephony.EntrepriseNumber`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `entrepriseNumber` | string | yes | Entreprise number to fetch information from |

```json
{
  "entrepriseNumber": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.EntrepriseNumberInformationsTask | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `informations` | telephony.EntrepriseNumberInformations |  | Informations about the enterprise |
| `informations.address` | string |  | Address of the entreprise |
| `informations.ape` | string |  | Entreprise's category code for directory services |
| `informations.brand` | string |  | Brand of the entreprise |
| `informations.entrepriseNumber` | string |  | Entreprise number |
| `informations.isValid` | boolean |  | Is this a valid entreprise number? |
| `informations.name` | string |  | Name of the entreprise |
| `informations.siren` | string |  | Short version of the entreprise number (FR only) |
| `status` | telephony.TaskStatusEnum |  | Task status — one of `doing`, `done`, `error`, `pause`, `todo` |

```json
{
  "informations": {
    "address": "string",
    "ape": "string",
    "brand": "string",
    "entrepriseNumber": "string",
    "isValid": true,
    "name": "string",
    "siren": "string"
  },
  "status": "doing"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory/fetchEntrepriseInformations" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: telephony.EntrepriseNumber
result = client.post("/freefax/{serviceName}/directory/fetchEntrepriseInformations",
	entrepriseNumber = None, # Entreprise number to fetch information from (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: telephony.EntrepriseNumber
$result = $ovh->post("/freefax/{serviceName}/directory/fetchEntrepriseInformations", array(
	entrepriseNumber => null, // Entreprise number to fetch information from (type: string)
));

print_r($result);
?>
```

## Get directory service code from an APE code (principal activity of the firm code)

`GET /1.0/freefax/{serviceName}/directory/getDirectoryServiceCode`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-servicename-directory-getdirectoryservicecode

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:directory/getDirectoryServiceCode`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `apeCode` | query | string | yes |  |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.DirectoryHeadingPJ[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `apeCode` | string | read-only |  |
| `apeDescription` | string | read-only |  |
| `directoryServiceCode` | integer | read-only |  |
| `directoryServiceDescription` | string | read-only |  |
| `notification` | string | read-only |  |

```json
[
  {
    "apeCode": "string",
    "apeDescription": "string",
    "directoryServiceCode": 0,
    "directoryServiceDescription": "string",
    "notification": "string"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory/getDirectoryServiceCode" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/{serviceName}/directory/getDirectoryServiceCode")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/{serviceName}/directory/getDirectoryServiceCode");

print_r($result);
?>
```

## Get all the way types available

`GET /1.0/freefax/{serviceName}/directory/getWayTypes`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-servicename-directory-getwaytypes

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:directory/getWayTypes`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.DirectoryWayType[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `abbreviatedName` | string | read-only |  |
| `wayName` | string | read-only |  |

```json
[
  {
    "abbreviatedName": "string",
    "wayName": "string"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory/getWayTypes" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/{serviceName}/directory/getWayTypes")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/{serviceName}/directory/getWayTypes");

print_r($result);
?>
```

## Get main service attached to the Freefax

`GET /1.0/freefax/{serviceName}/mainService`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-servicename-mainservice

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:mainService/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | string | successful operation |

```json
"string"
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/mainService" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/{serviceName}/mainService")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/{serviceName}/mainService");

print_r($result);
?>
```

## Get service information

`GET /1.0/freefax/{serviceName}/serviceInfos`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-servicename-serviceinfos

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:serviceInfos/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | services.Service | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `canDeleteAtExpiration` | boolean | read-only | Indicates that the service can be set up to be deleted at expiration |
| `contactAdmin` | string | read-only |  |
| `contactBilling` | string | read-only |  |
| `contactTech` | string | read-only |  |
| `creation` | string (date) | read-only |  |
| `domain` | string | read-only |  |
| `engagedUpTo` | string (date) | read-only |  |
| `expiration` | string (date) | read-only |  |
| `possibleRenewPeriod` | integer[] | read-only | All the possible renew period of your service in month |
| `renew` | service.RenewType |  | Way of handling the renew |
| `renew.automatic` | boolean |  | The service is automatically renewed |
| `renew.deleteAtExpiration` | boolean |  | The service will be deleted at expiration |
| `renew.forced` | boolean |  | The service forced to be renewed |
| `renew.manualPayment` | boolean |  | The service needs to be manually renewed and paid |
| `renew.period` | integer |  | period of renew in month |
| `renewalType` | service.RenewalTypeEnum | read-only | Detailed renewal type of a service — one of `automaticForcedProduct`, `automaticV2012`, `automaticV2014`, `automaticV2016`, `automaticV2024`, `manual`, `oneShot`, `option` |
| `serviceId` | integer | read-only |  |
| `status` | service.StateEnum | read-only | one of `autorenewInProgress`, `expired`, `inCreation`, `ok`, `pendingDebt`, `unPaid` |

```json
{
  "canDeleteAtExpiration": true,
  "contactAdmin": "string",
  "contactBilling": "string",
  "contactTech": "string",
  "creation": "2024-01-01",
  "domain": "string",
  "engagedUpTo": "2024-01-01",
  "expiration": "2024-01-01",
  "possibleRenewPeriod": [
    0
  ],
  "renew": {
    "automatic": true,
    "deleteAtExpiration": true,
    "forced": true,
    "manualPayment": true,
    "period": 0
  },
  "renewalType": "automaticForcedProduct",
  "serviceId": 0,
  "status": "autorenewInProgress"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/serviceInfos" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/{serviceName}/serviceInfos")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/{serviceName}/serviceInfos");

print_r($result);
?>
```

## Update service information

`PUT /1.0/freefax/{serviceName}/serviceInfos`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#put-freefax-servicename-serviceinfos

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:serviceInfos/edit`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Request body (required)

Type: `services.Service`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `canDeleteAtExpiration` | boolean | read-only | Indicates that the service can be set up to be deleted at expiration |
| `contactAdmin` | string | read-only |  |
| `contactBilling` | string | read-only |  |
| `contactTech` | string | read-only |  |
| `creation` | string (date) | read-only |  |
| `domain` | string | read-only |  |
| `engagedUpTo` | string (date) | read-only |  |
| `expiration` | string (date) | read-only |  |
| `possibleRenewPeriod` | integer[] | read-only | All the possible renew period of your service in month |
| `renew` | service.RenewType |  | Way of handling the renew |
| `renew.automatic` | boolean |  | The service is automatically renewed |
| `renew.deleteAtExpiration` | boolean |  | The service will be deleted at expiration |
| `renew.forced` | boolean |  | The service forced to be renewed |
| `renew.manualPayment` | boolean |  | The service needs to be manually renewed and paid |
| `renew.period` | integer |  | period of renew in month |
| `renewalType` | service.RenewalTypeEnum | read-only | Detailed renewal type of a service — one of `automaticForcedProduct`, `automaticV2012`, `automaticV2014`, `automaticV2016`, `automaticV2024`, `manual`, `oneShot`, `option` |
| `serviceId` | integer | read-only |  |
| `status` | service.StateEnum | read-only | one of `autorenewInProgress`, `expired`, `inCreation`, `ok`, `pendingDebt`, `unPaid` |

```json
{
  "renew": {
    "automatic": true,
    "deleteAtExpiration": true,
    "forced": true,
    "manualPayment": true,
    "period": 0
  }
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/serviceInfos" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: services.Service
result = client.put("/freefax/{serviceName}/serviceInfos",
	renew = None, # Way of handling the renew (type: service.RenewType, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: services.Service
$result = $ovh->put("/freefax/{serviceName}/serviceInfos", array(
	renew => null, // Way of handling the renew (type: service.RenewType, nullable)
));

print_r($result);
?>
```

## Get the Freefax voicemail information

`GET /1.0/freefax/{serviceName}/voicemail`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-servicename-voicemail

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:voicemail/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.VoicemailProperties | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `annouceMessage` | string | read-only | Name of the voicemail panel announce file |
| `audioFormat` | telephony.ServiceVoicemailAudioFormatEnum |  | Format of the voicemail audio file attached to emails — one of `aiff`, `au`, `flac`, `mp3`, `ogg`, `wav` |
| `doNotRecord` | boolean |  | Don't allow callers to leave voicemails |
| `forcePassword` | boolean |  | Force password request to access the voicemail panel |
| `fromEmail` | string |  | Email address from which emails will be sent |
| `fromName` | string |  | Name from which emails will be sent |
| `fullGreetingSoundId` | integer |  | Sound ID of the long greeeting |
| `greetingType` | telephony.VoicemailGreetingEnum |  | Type of the greeting to play — one of `default`, `full`, `short` |
| `isNewVersion` | boolean | read-only | Current voicemail version |
| `keepMessage` | boolean |  | Don't delete voicemails after they've been sent by email |
| `redirectionEmails` | telephony.ServiceVoicemailNotifications[] |  | Email addresses to notify when a new voicemail is left |
| `redirectionEmails[].email` | string |  |  |
| `redirectionEmails[].type` | telephony.ServiceVoicemailMailOptionEnum |  | Voicemail configuration — one of `attachment`, `attachment+transcript`, `simple`, `transcript` |
| `shortGreetingSoundId` | integer |  | Sound ID of the short greeting played before an automated message |
| `temporaryGreetingActivated` | boolean |  | Play the temporary greeting instead of the regular one |
| `temporaryGreetingSoundId` | integer |  | Sound ID of the temporary greeeting |
| `unreadMessages` | integer | read-only | Quantity of unread voicemails |

```json
{
  "annouceMessage": "string",
  "audioFormat": "aiff",
  "doNotRecord": true,
  "forcePassword": true,
  "fromEmail": "string",
  "fromName": "string",
  "fullGreetingSoundId": 0,
  "greetingType": "default",
  "isNewVersion": true,
  "keepMessage": true,
  "redirectionEmails": [
    {
      "email": "string",
      "type": "attachment"
    }
  ],
  "shortGreetingSoundId": 0,
  "temporaryGreetingActivated": true,
  "temporaryGreetingSoundId": 0,
  "unreadMessages": 0
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/{serviceName}/voicemail")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/{serviceName}/voicemail");

print_r($result);
?>
```

## Edit the Freefax voicemail

`PUT /1.0/freefax/{serviceName}/voicemail`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#put-freefax-servicename-voicemail

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:voicemail/edit`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Request body (required)

Type: `telephony.VoicemailProperties`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `annouceMessage` | string | read-only | Name of the voicemail panel announce file |
| `audioFormat` | telephony.ServiceVoicemailAudioFormatEnum |  | Format of the voicemail audio file attached to emails — one of `aiff`, `au`, `flac`, `mp3`, `ogg`, `wav` |
| `doNotRecord` | boolean |  | Don't allow callers to leave voicemails |
| `forcePassword` | boolean |  | Force password request to access the voicemail panel |
| `fromEmail` | string |  | Email address from which emails will be sent |
| `fromName` | string |  | Name from which emails will be sent |
| `fullGreetingSoundId` | integer |  | Sound ID of the long greeeting |
| `greetingType` | telephony.VoicemailGreetingEnum |  | Type of the greeting to play — one of `default`, `full`, `short` |
| `isNewVersion` | boolean | read-only | Current voicemail version |
| `keepMessage` | boolean |  | Don't delete voicemails after they've been sent by email |
| `redirectionEmails` | telephony.ServiceVoicemailNotifications[] |  | Email addresses to notify when a new voicemail is left |
| `redirectionEmails[].email` | string |  |  |
| `redirectionEmails[].type` | telephony.ServiceVoicemailMailOptionEnum |  | Voicemail configuration — one of `attachment`, `attachment+transcript`, `simple`, `transcript` |
| `shortGreetingSoundId` | integer |  | Sound ID of the short greeting played before an automated message |
| `temporaryGreetingActivated` | boolean |  | Play the temporary greeting instead of the regular one |
| `temporaryGreetingSoundId` | integer |  | Sound ID of the temporary greeeting |
| `unreadMessages` | integer | read-only | Quantity of unread voicemails |

```json
{
  "audioFormat": "aiff",
  "doNotRecord": true,
  "forcePassword": true,
  "fromEmail": "string",
  "fromName": "string",
  "fullGreetingSoundId": 0,
  "greetingType": "default",
  "keepMessage": true,
  "redirectionEmails": [
    {
      "email": "string",
      "type": "attachment"
    }
  ],
  "shortGreetingSoundId": 0,
  "temporaryGreetingActivated": true,
  "temporaryGreetingSoundId": 0
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: telephony.VoicemailProperties
result = client.put("/freefax/{serviceName}/voicemail",
	audioFormat = None, # Format of the voicemail audio file attached to emails (type: telephony.ServiceVoicemailAudioFormatEnum)
	doNotRecord = None, # Don't allow callers to leave voicemails (type: boolean)
	forcePassword = None, # Force password request to access the voicemail panel (type: boolean)
	fromEmail = None, # Email address from which emails will be sent (type: string)
	fromName = None, # Name from which emails will be sent (type: string)
	fullGreetingSoundId = None, # Sound ID of the long greeeting (type: integer, nullable)
	greetingType = None, # Type of the greeting to play (type: telephony.VoicemailGreetingEnum)
	keepMessage = None, # Don't delete voicemails after they've been sent by email (type: boolean)
	redirectionEmails = None, # Email addresses to notify when a new voicemail is left (type: array)
	shortGreetingSoundId = None, # Sound ID of the short greeting played before an automated message (type: integer, nullable)
	temporaryGreetingActivated = None, # Play the temporary greeting instead of the regular one (type: boolean)
	temporaryGreetingSoundId = None, # Sound ID of the temporary greeeting (type: integer, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: telephony.VoicemailProperties
$result = $ovh->put("/freefax/{serviceName}/voicemail", array(
	audioFormat => null, // Format of the voicemail audio file attached to emails (type: telephony.ServiceVoicemailAudioFormatEnum)
	doNotRecord => null, // Don't allow callers to leave voicemails (type: boolean)
	forcePassword => null, // Force password request to access the voicemail panel (type: boolean)
	fromEmail => null, // Email address from which emails will be sent (type: string)
	fromName => null, // Name from which emails will be sent (type: string)
	fullGreetingSoundId => null, // Sound ID of the long greeeting (type: integer, nullable)
	greetingType => null, // Type of the greeting to play (type: telephony.VoicemailGreetingEnum)
	keepMessage => null, // Don't delete voicemails after they've been sent by email (type: boolean)
	redirectionEmails => null, // Email addresses to notify when a new voicemail is left (type: array)
	shortGreetingSoundId => null, // Sound ID of the short greeting played before an automated message (type: integer, nullable)
	temporaryGreetingActivated => null, // Play the temporary greeting instead of the regular one (type: boolean)
	temporaryGreetingSoundId => null, // Sound ID of the temporary greeeting (type: integer, nullable)
));

print_r($result);
?>
```

## Change the voicemail password. It must be 4 digit

`POST /1.0/freefax/{serviceName}/voicemail/changePassword`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#post-freefax-servicename-voicemail-changepassword

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:voicemail/changePassword`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Request body (required)

Type: `telephony.voicemail.ChangePassword`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `password` | string (password) | yes | The password |

```json
{
  "password": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail/changePassword" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: telephony.voicemail.ChangePassword
result = client.post("/freefax/{serviceName}/voicemail/changePassword",
	password = None, # The password (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: telephony.voicemail.ChangePassword
$result = $ovh->post("/freefax/{serviceName}/voicemail/changePassword", array(
	password => null, // The password (type: string)
));

print_r($result);
?>
```

## Disable/Enable voicemail. Available only if the line has fax capabilities

`POST /1.0/freefax/{serviceName}/voicemail/changeRouting`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#post-freefax-servicename-voicemail-changerouting

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:voicemail/changeRouting`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Request body (required)

Type: `telephony.voicemail.ChangeRouting`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `routing` | telephony.VoicefaxRoutingEnum | yes | All existing type of routing for a voicemail — one of `fax`, `voicemail` |

```json
{
  "routing": "fax"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail/changeRouting" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: telephony.voicemail.ChangeRouting
result = client.post("/freefax/{serviceName}/voicemail/changeRouting",
	routing = None, # All existing type of routing for a voicemail (type: telephony.VoicefaxRoutingEnum)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: telephony.voicemail.ChangeRouting
$result = $ovh->post("/freefax/{serviceName}/voicemail/changeRouting", array(
	routing => null, // All existing type of routing for a voicemail (type: telephony.VoicefaxRoutingEnum)
));

print_r($result);
?>
```

## Get the status of the voicemail. Available only if the line has fax capabilities

`GET /1.0/freefax/{serviceName}/voicemail/routing`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-servicename-voicemail-routing

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:voicemail/routing/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.VoicefaxRoutingEnum | successful operation |

```json
"fax"
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail/routing" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/{serviceName}/voicemail/routing")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/{serviceName}/voicemail/routing");

print_r($result);
?>
```

## Get number for internal and external voicemail

`GET /1.0/freefax/{serviceName}/voicemail/voicemailNumbers`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/fax/#get-freefax-servicename-voicemail-voicemailnumbers

**Status:** Stable production version  
**IAM actions:** `freefax:apiovh:voicemail/voicemailNumbers/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | phoneNumber | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.VoicemailNumbers | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `external` | string |  | The external voicemail number |
| `internal` | string |  | The internal voicemail number |

```json
{
  "external": "string",
  "internal": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail/voicemailNumbers" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/freefax/{serviceName}/voicemail/voicemailNumbers")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/freefax/{serviceName}/voicemail/voicemailNumbers");

print_r($result);
?>
```
